#include <stdio.h>

int fibonacci(int num);

int main()
{
    int valor1, resultado;
    printf("Digite qual valor do Fibonacci desejado: ");
    do{
            scanf("%d",&valor1);
            if(valor1<=0)
                printf("O valor deve ser maior que 0. Digite Novamente: ");
    }while(valor1<=0);
    resultado=fibonacci(valor1);
    printf("\nO valor do Fibonacci de %d e %d",valor1, resultado);
    return 0;
}

int fibonacci(int num)
{
    if(num == 1 || num == 2)
        return 1;
    else
       return fibonacci(num-1) + fibonacci(num-2);
}
